import { Component, Host, h, Prop } from '@stencil/core';
import { defaultIconPack } from '../../lib/icons';
/**
 * A component which shows an animating spinner.
 */
export class DyteSpinner {
  constructor() {
    /** Icon Pack */
    this.iconPack = defaultIconPack;
  }
  render() {
    return (h(Host, null,
      h("dyte-icon", { class: "spinner", icon: this.iconPack.spinner })));
  }
  static get is() { return "dyte-spinner"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["dyte-spinner.css"]
  }; }
  static get styleUrls() { return {
    "$": ["dyte-spinner.css"]
  }; }
  static get properties() { return {
    "iconPack": {
      "type": "unknown",
      "mutable": false,
      "complexType": {
        "original": "IconPack",
        "resolved": "{ people: string; chat: string; poll: string; participants: string; rocket: string; call_end: string; share: string; mic_on: string; mic_off: string; video_on: string; video_off: string; share_screen_start: string; share_screen_stop: string; share_screen_person: string; clock: string; dismiss: string; send: string; search: string; more_vertical: string; chevron_down: string; chevron_up: string; chevron_left: string; chevron_right: string; settings: string; wifi: string; speaker: string; download: string; full_screen_maximize: string; full_screen_minimize: string; copy: string; attach: string; image: string; emoji_multiple: string; vertical_scroll: string; vertical_scroll_disabled: string; image_off: string; disconnected: string; wand: string; recording: string; subtract: string; stop_recording: string; warning: string; pin: string; pin_off: string; spinner: string; }",
        "references": {
          "IconPack": {
            "location": "import",
            "path": "../../lib/icons"
          }
        }
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Icon Pack"
      },
      "defaultValue": "defaultIconPack"
    }
  }; }
}
