import { r as registerInstance, h, H as Host } from './index-74ddb327.js';
import { d as defaultIconPack } from './default-icon-pack-eabba256.js';
import { u as useLanguage } from './index-a214afbc.js';
import { r as requestFullScreen, e as exitFullSreen, i as isFullScreenSupported, a as isFullScreenEnabled } from './full-screen-6f8a8739.js';
import './default-language-04851639.js';

const dyteFullscreenToggleCss = ":host{display:block;font-family:var(--dyte-font-family, sans-serif)}";

const DyteFullscreenToggle = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    /** Variant */
    this.variant = 'button';
    /** Icon pack */
    this.iconPack = defaultIconPack;
    /** Language */
    this.t = useLanguage();
    this.fullScreenActive = false;
    this.isFullScreenSupported = true;
    this.toggleFullScreen = () => {
      const fullScreenElement = document.querySelector('dyte-meeting');
      if (!fullScreenElement)
        return;
      if (!this.fullScreenActive) {
        requestFullScreen(fullScreenElement);
        this.fullScreenActive = true;
      }
      else {
        exitFullSreen();
        this.fullScreenActive = false;
      }
    };
  }
  connectedCallback() {
    this.isFullScreenSupported = isFullScreenSupported();
    this.handleFullScreenChange = () => {
      this.fullScreenActive = isFullScreenEnabled();
    };
    window.addEventListener('webkitfullscreenchange', this.handleFullScreenChange);
    window.addEventListener('fullscreenchange', this.handleFullScreenChange);
  }
  disconnectedCallback() {
    window.removeEventListener('webkitfullscreenchange', this.handleFullScreenChange);
    window.removeEventListener('fullscreenchange', this.handleFullScreenChange);
  }
  render() {
    if (!this.isFullScreenSupported) {
      return null;
    }
    return (h(Host, { title: this.t('Fullscreen') }, h("dyte-controlbar-button", { size: this.size, iconPack: this.iconPack, onClick: this.toggleFullScreen, icon: this.fullScreenActive
        ? this.iconPack.full_screen_minimize
        : this.iconPack.full_screen_maximize, label: this.t('Fullscreen'), variant: this.variant })));
  }
};
DyteFullscreenToggle.style = dyteFullscreenToggleCss;

export { DyteFullscreenToggle as dyte_fullscreen_toggle };
