import { r as registerInstance, c as createEvent, h, H as Host } from './index-74ddb327.js';
import { d as defaultIconPack } from './default-icon-pack-eabba256.js';
import { u as useLanguage } from './index-a214afbc.js';
import { s as state } from './store-79928517.js';
import './default-language-04851639.js';

const dyteLeaveButtonCss = ":host{display:block;font-family:var(--dyte-font-family, sans-serif)}";

const DyteLeaveButton = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.stateUpdate = createEvent(this, "dyteStateUpdate", 7);
    /** Variant */
    this.variant = 'button';
    /** Icon pack */
    this.iconPack = defaultIconPack;
    /** Language */
    this.t = useLanguage();
    this.leave = () => {
      this.stateUpdate.emit({ activeLeaveConfirmation: true });
      state.activeLeaveConfirmation = true;
    };
  }
  render() {
    const text = this.t('leave');
    return (h(Host, { label: text }, h("dyte-controlbar-button", { size: this.size, iconPack: this.iconPack, class: "leave", onClick: this.leave, icon: this.iconPack.call_end, label: text, variant: this.variant })));
  }
};
DyteLeaveButton.style = dyteLeaveButtonCss;

export { DyteLeaveButton as dyte_leave_button };
