import { EventEmitter } from '../../stencil-public-runtime';
import { ImageMessage } from '@dytesdk/web-core/types/client/DyteChat';
import { IconPack } from '../../lib/icons';
import { States } from '../../types/props';
/**
 * A component which renders an image message from chat.
 */
export declare class DyteImageMessage {
  /** Text message object */
  message: ImageMessage;
  /** Date object of now, to calculate distance between dates */
  now: Date;
  /** Whether the message is continued by same user */
  isContinued: boolean;
  /** Icon pack */
  iconPack: IconPack;
  /** Language */
  t: import("../../lib/lang").DyteI18n;
  status: 'loading' | 'loaded' | 'errored';
  /** Emits updated state data */
  stateUpdate: EventEmitter<States>;
  render(): any;
}
