import { EventEmitter } from '../../stencil-public-runtime';
import { IconPack } from '../../lib/icons';
import { Notification, Size } from '../../types/props';
/**
 * A component which shows a notification.
 *
 * You need to remove the element after you receive the
 * `dyteNotificationDismiss` event.
 */
export declare class DyteNotification {
  /** Message */
  notification: Notification;
  /** Size */
  size: Size;
  /** Icon pack */
  iconPack: IconPack;
  /** Language */
  t: import("../../lib/lang").DyteI18n;
  /** Dismiss event */
  dismiss: EventEmitter<string>;
  imageState: 'loading' | 'loaded' | 'errored';
  connectedCallback(): void;
  notificationChanged(notification: Notification): void;
  render(): any;
}
